=== debian/changelog ===
kdevelop (4:4.7.1-0tanglu1) staging; urgency=medium

  * Upload for Tanglu

 -- Matthias Klumpp <mak@debian.org>  Sat, 14 Mar 2015 03:24:05 +0100

kdevelop (4:4.7.1-0ubuntu1) vivid; urgency=medium

  * Release to Archive 

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Mar 2015 19:03:33 -0700

kdevelop (4:4.7.0-0ubuntu3) vivid; urgency=medium

  * Build without okteta-dev which has moved to KF5

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Jan 2015 11:09:39 +0100

kdevelop (4:4.7.0-0ubuntu2) vivid; urgency=medium

  * Remove kde-workspace-dev build-depend, it's removed from archive

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Nov 2014 16:15:29 +0100

kdevelop (4:4.7.0-0ubuntu1) utopic; urgency=medium

  * New upstream release (LP: #1362107)

 -- Scarlett Clark <sgclark@kubuntu.org>  Sat, 30 Aug 2014 03:03:17 -0700

kdevelop (4:4.6.0-0ubuntu4) utopic; urgency=medium

  * Add cmake to recommends as it is needed for cmake projects and kdevelop
    will fail with an excitingly pointless error message if it is not found.
    Kdevelop can technically also be used without cmake, so cmake
    certainly does not qualify as Dependency.
    LP: #807386

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 02 Jun 2014 10:05:32 +0200
