=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_install:
	install -D -p -m0644 debian/kdevelop.xpm \
		debian/kdevelop/usr/share/pixmaps/kdevelop.xpm
	$(overridden_command)

override_dh_strip:
	$(overridden_command) --dbg-package=kdevelop-dbg

override_dh_builddeb:
	dh_builddeb -- -Zxz
	
.PHONY: override_dh_auto_test
