=== formatters/CMakeLists.txt ===
add_definitions( -DKDE_DEFAULT_DEBUG_AREA=9000 )

add_subdirectory(astyle)
add_subdirectory(customscript)
