=== kdeintegration/CMakeLists.txt ===
macro_optional_add_subdirectory(kdeprovider)
macro_optional_add_subdirectory(executeplasmoid)
