=== debian/changelog ===
kdevelop (4:4.7.3-0ubuntu1) xenial; urgency=medium

  * Debian merge: remaining change:
    keep autopkgtest 
  * New upstream bugfix release.
  * Fix watch file. 
  * Fix version.
  * Add dep libkasten3okteta1core1 to fix
    optional dep failure. 
  * Add some more missing kastenokteta libs. 
  * Build is still not happy with kastenokteta
    Adding kasten libs as well. 
  * wrap-and-sort. 
  * Remove okteta kasten support. It has been ported to kf5 and
    not compatible.
  * Release to Archive. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Sun, 06 Mar 2016 08:06:52 -0800

kdevelop (4:4.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - dont-use-removed-temporaries.diff: drop, backported from upstream
  * Drop menu file and its pixmap, since kdevelop already provides a .desktop
    file.
  * Remove extra libsoprano-dev build dependency, which was added as workaround
    for a bug in kdelibs5-dev.
  * Bump Standards-Version to 3.9.6, no changes required.
  * Bump kdevplatform-dev build dependency to >= 1.7.2.

 -- Pino Toscano <pino@debian.org>  Thu, 21 Jan 2016 22:02:43 +0100

kdevelop (4:4.7.1-2) unstable; urgency=medium

  * Add libkdevcompilerprovider to ensure that code navigation works.
  * Backport patch from upstream to fix a crash when parsing bits/c++config.h.

 -- Sune Vuorela <sune@debian.org>  Sat, 26 Sep 2015 08:41:23 +0200

kdevelop (4:4.7.1-1) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Change section of kdevelop-dev to libdevel.
  * Add ${misc:Depends} in kdevelop-dbg and kdevelop-l10n.

  [ Sune Vuorela ]
  * Make KDevelop recommend kapptemplate to have more meaningful project
    templates available.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump kdevplatform-dev build dependency to 1.7.1.
  * Remove kde-workspace from build dependencies. We no longer provide
    a KDE 4 based workspace.
    - Add libsoprano-dev as a build dependency, it was probably previously
      pulled in by kde-workspace.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 02 Sep 2015 21:10:24 -0300

kdevelop (4:4.7.1-0ubuntu3) vivid; urgency=medium

  * Wrong bug. Fix (LP: #1431965)
  * Wrap and sort. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 12:11:57 -0700

kdevelop (4:4.7.1-0ubuntu2) vivid; urgency=medium

  * Add missing library. (LP: #1417659) 

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 12:07:57 -0700
