=== debian/control ===
--- 
+++ 
@@ -1,43 +1,33 @@
 Source: kdevelop
 Section: devel
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Jeremy Lainé <jeremy.laine@m4x.org>,
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Andreas Cord-Landwehr <cola@uni-paderborn.de>
 Build-Depends: cmake,
-               debhelper,
-               kdevplatform-dev (>= 1.7.0),
+               debhelper (>= 9),
+               kdevplatform-dev (>= 1.7.3),
                libqjson-dev,
                libqtwebkit-dev,
-               pkg-kde-tools,
+               okteta-dev (>= 15.12.1~),
+               pkg-config,
+               pkg-kde-tools (>= 0.9.0),
                shared-mime-info
-Standards-Version: 3.9.4
 XS-Testsuite: autopkgtest
+Standards-Version: 3.9.6
 Homepage: http://www.kdevelop.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/kdevelop.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-std/kdevelop.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-std/kdevelop.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-std/kdevelop.git
 
 Package: kdevelop
 Architecture: any
-Depends: kate-data,
-         kdevelop-data (>= ${source:Version}),
+Depends: kdevelop-data (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: cmake,
-            g++,
-            gcc,
-            gdb (>= 7.0),
-            kdevelop-l10n,
-            kdevelop-php-docs-l10n,
-            kdevelop-php-l10n,
-            libqtwebkit-qmlwebkitplugin,
-            make
-Replaces: kdevelop-custom-buildsystem
-Conflicts: kdevelop-custom-buildsystem
-Suggests: kapptemplate
+Recommends: g++, gcc, gdb (>= 7.0), kapptemplate, make
+Suggests: cmake, kdevelop-l10n, ninja-build
 Description: integrated development environment for KDE
  KDevelop is an easy to use integrated development environment for KDE.
  It supports a wide range of programming languages and features project
@@ -62,6 +52,7 @@
  This package contains arch independent data for KDevelop.
 
 Package: kdevelop-dev
+Section: libdevel
 Architecture: any
 Depends: kdelibs5-dev,
          kdevelop (= ${binary:Version}),
@@ -95,6 +86,7 @@
 Package: kdevelop-l10n
 Section: localization
 Architecture: all
+Depends: ${misc:Depends}
 Replaces: kdevelop-l10n-ca,
           kdevelop-l10n-cavalencia,
           kdevelop-l10n-da,
@@ -141,7 +133,6 @@
         kdevelop-l10n-uk,
         kdevelop-l10n-zhcn,
         kdevelop-l10n-zhtw
-Depends: ${misc:Depends}
 Recommends: kdevplatform-l10n
 Description: localization files for the KDevelop IDE
  KDevelop is an easy to use integrated development environment for KDE.
