=== debian/watch ===
version=3
http://download.kde.org/stable/kdevelop/([\d.]+)/src/kdevelop-([\d.]+).tar.bz2
