## kdevelop 5.0.1

=== debian/changelog ===
kdevelop (4:5.0.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Promote the kdevplatform-l10n recommend in kdevelop-l10n to a dependency:
    it is highly unlikely that you want translations for kdevelop without the
    underlying libraries translated.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Sep 2016 23:02:17 +0200

kdevelop (4:5.0.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Replace the transitional build dependencies:
    - kdoctools-dev -> libkf5doctools-dev
    - kio-dev -> libkf5kio-dev
  * Bump the kdevplatform-dev (build) dependency to >= 5.0.1.
  * Bump the llvm-3.8-dev, and libclang-3.8-dev to >= 1:3.8.1, to avoid
    building with older LLVM versions.
  * Add the kio-extras recommend in kdevelop, as it is used for browsing the
    man documentation.

 -- Pino Toscano <pino@debian.org>  Mon, 19 Sep 2016 23:18:33 +0200

kdevelop (4:5.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - switches from Qt4 (using QtWebKit) to Frameworks (Closes: #784483)
    - the Frameworks version of kdoctools does not create "common" symlinks
      anymore (Closes: #787409)
  * Update the build dependencies following the port to Frameworks:
    - remove libqjson-dev, and libqtwebkit-dev
    - add extra-cmake-modules, qtbase5-dev, qtdeclarative5-dev, qttools5-dev,
      qttools5-dev-tools, libqt5webkit5-dev, libkf5config-dev, libkf5crash-dev,
      libkf5declarative-dev, kdoctools-dev, libkf5iconthemes-dev,
      libkf5i18n-dev, libkf5itemmodels-dev, libkf5itemviews-dev,
      libkf5jobwidgets-dev, libkf5kcmutils-dev, kio-dev, libkf5newstuff-dev,
      libkf5notifyconfig-dev, libkf5parts-dev, libkf5service-dev,
      libkf5texteditor-dev, libkf5threadweaver-dev, libkf5windowsystem-dev,
      libkf5xmlgui-dev, and kdevelop-pg-qt
  * Bump build dependencies according to the upstream build system:
    - bump cmake to >= 2.8.12
    - bump kdevplatform-dev to >= 5.0
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Update the patches:
    - fix-parallel.diff: drop, no more needed
  * Add the llvm-3.8-dev and libclang-3.8-dev build dependencies for the C++
    language support; specifically pick version 3.8 since it is what mesa uses,
    and it is thus loaded when using QML stuff.
  * Update install files.
  * Disable building of unit tests, as long as they are not run.
  * Pass --list-missing to dh_install.
  * Update lintian overrides.
  * Install qmake_qt4guiapp.tar.bz2 again, since the conflict with kapptemplate
    should be long gone.
  * Remove the kdelibs5-dev dependency in kdevelop-dev, and bump the
    kdevplatform-dev one to >= 5.0.
  * Add the okteta-dev build dependency to enable the okteta plugin; the minimum
    version ensures okteta-dev is fixed and depends on all the libraries for
    which it provides headers.
  * Add the libkf5sysguard-dev build dependency to enable again the process
    attaching functionalities. (Closes: #803953)
  * Add a new plasma-kdevelop package with the Plasma/KRunner plugins:
    - add the libkf5plasma-dev, and libkf5runner-dev build dependencies
    - add everything for Linux only, since the needed libraries are not fully
      available on non-Linux architectures

 -- Pino Toscano <pino@debian.org>  Thu, 01 Sep 2016 19:36:35 +0200

kdevelop (4:4.7.3-3) unstable; urgency=medium

  * Team upload.
  * Remove kdevelop-dbg in favour of the -dbgsym packages.

 -- Pino Toscano <pino@debian.org>  Mon, 06 Jun 2016 22:21:14 +0200

kdevelop (4:4.7.3-2) unstable; urgency=medium

  * Team upload to unstable.
  * Remove optional okteta-dev from build dependencies in order to let the KF5
    version of it enter unstable.
    - Adjust kdevelop-data.install accordingly.
  * Bump Standards-Version to 3.9.8, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 26 May 2016 18:25:25 -0300

kdevelop (4:4.7.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump kdevplatform-dev build dependency to 1.7.3.
  * Improve uscan to search for different compression methods in tarballs
    and to repack the tarball with xz compression if necessary.
  * Bump Standards-Version to 3.9.7, no changes required.
  * Update Vcs-[Browser Git] to their https versions.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 30 Apr 2016 15:02:31 -0300
