=== debian/control ===
--- 
+++ 
@@ -6,27 +6,55 @@
            Jeremy Lainé <jeremy.laine@m4x.org>,
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Andreas Cord-Landwehr <cola@uni-paderborn.de>
-Build-Depends: cmake,
+Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               kdevplatform-dev (>= 1.7.3),
-               libqjson-dev,
-               libqtwebkit-dev,
-               okteta-dev (>= 15.12.1~),
+               extra-cmake-modules (>= 0.0.9),
+               qtbase5-dev (>= 5.4.0),
+               qtdeclarative5-dev (>= 5.4.0),
+               qttools5-dev,
+               qttools5-dev-tools,
+               libqt5webkit5-dev (>= 5.4.0),
+               libkf5config-dev (>= 5.15.0),
+               libkf5crash-dev (>= 5.15.0),
+               libkf5declarative-dev (>= 5.15.0),
+               libkf5doctools-dev (>= 5.15.0),
+               libkf5iconthemes-dev (>= 5.15.0),
+               libkf5i18n-dev (>= 5.15.0),
+               libkf5itemmodels-dev (>= 5.15.0),
+               libkf5itemviews-dev (>= 5.15.0),
+               libkf5jobwidgets-dev (>= 5.15.0),
+               libkf5kcmutils-dev (>= 5.15.0),
+               libkf5kio-dev (>= 5.15.0),
+               libkf5newstuff-dev (>= 5.15.0),
+               libkf5notifyconfig-dev (>= 5.15.0),
+               libkf5parts-dev (>= 5.15.0),
+               libkf5service-dev (>= 5.15.0),
+               libkf5texteditor-dev (>= 5.15.0),
+               libkf5threadweaver-dev (>= 5.15.0),
+               libkf5windowsystem-dev (>= 5.15.0),
+               libkf5xmlgui-dev (>= 5.15.0),
+               kdevelop-pg-qt (>= 2.0),
+               kdevplatform-dev (>= 5.0.1),
+               okteta-dev (>= 4:16.08.0-1~),
+               libkf5sysguard-dev,
+               libkf5plasma-dev [linux-any],
+               libkf5runner-dev [linux-any],
                pkg-config,
-               pkg-kde-tools (>= 0.9.0),
-               shared-mime-info
-XS-Testsuite: autopkgtest
-Standards-Version: 3.9.6
+               pkg-kde-tools (>= 0.15.16),
+               shared-mime-info,
+               llvm-3.8-dev (>= 1:3.8.1),
+               libclang-3.8-dev (>= 1:3.8.1),
+Standards-Version: 3.9.8
 Homepage: http://www.kdevelop.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-std/kdevelop.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-std/kdevelop.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-std/kdevelop.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-std/kdevelop.git
 
 Package: kdevelop
 Architecture: any
 Depends: kdevelop-data (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: g++, gcc, gdb (>= 7.0), kapptemplate, make
+Recommends: g++, gcc, gdb (>= 7.0), kapptemplate, make, kio-extras
 Suggests: cmake, kdevelop-l10n, ninja-build
 Description: integrated development environment for KDE
  KDevelop is an easy to use integrated development environment for KDE.
@@ -54,9 +82,8 @@
 Package: kdevelop-dev
 Section: libdevel
 Architecture: any
-Depends: kdelibs5-dev,
-         kdevelop (= ${binary:Version}),
-         kdevplatform-dev,
+Depends: kdevelop (= ${binary:Version}),
+         kdevplatform-dev (>= 5.0.1),
          ${misc:Depends}
 Description: development files for the KDevelop IDE
  KDevelop is an easy to use integrated development environment for KDE.
@@ -68,25 +95,11 @@
  .
  This package contains development files for KDevelop.
 
-Package: kdevelop-dbg
-Section: debug
-Architecture: any
-Priority: extra
-Depends: kdelibs5-dbg, kdevelop (= ${binary:Version}), ${misc:Depends}
-Description: debugging symbols for KDevelop
- KDevelop is an easy to use integrated development environment for KDE.
- It supports a wide range of programming languages and features project
- management, an advanced editor, a class browser and an integrated debugger.
- .
- The application wizard can generate fully functional projects
- for terminal programs and GUI programs using Qt, KDE or GNOME.
- .
- This package contains debugging symbols for KDevelop.
-
 Package: kdevelop-l10n
 Section: localization
 Architecture: all
-Depends: ${misc:Depends}
+Depends: kdevplatform-l10n,
+         ${misc:Depends}
 Replaces: kdevelop-l10n-ca,
           kdevelop-l10n-cavalencia,
           kdevelop-l10n-da,
@@ -133,10 +146,25 @@
         kdevelop-l10n-uk,
         kdevelop-l10n-zhcn,
         kdevelop-l10n-zhtw
-Recommends: kdevplatform-l10n
 Description: localization files for the KDevelop IDE
  KDevelop is an easy to use integrated development environment for KDE.
  It supports a wide range of programming languages and features project
  management, an advanced editor, a class browser and an integrated debugger.
  .
  This package contains the translations for KDevelop.
+
+Package: plasma-kdevelop
+Architecture: linux-any
+Depends: kdevelop (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: KDevelop plugins for Plasma
+ KDevelop is an easy to use integrated development environment for KDE.
+ It supports a wide range of programming languages and features project
+ management, an advanced editor, a class browser and an integrated debugger.
+ .
+ This package contains the KDevelop plugins for integrating in the Plasma
+ desktop environment:
+  * sessions data engine
+  * sessions widget
+  * sessions KRunner module
